# Method __builtin.Nettle.Hash()->pbkdf2()

Method pbkdf2

  ``string` pbkdf2(`string` `password`, `string` `salt`, `int` `rounds`, `int` `bytes`)`

Description

  Password Based Key Derivation Function #2 from RFC 2898, PKCS#5 v2.0.

Parameter `password`
Parameter `salt`

  Password and salt for the keygenerator.

Parameter `rounds`

  The number of iterations to rehash the input.

Parameter `bytes`

  The number of bytes of output.

Returns

  Returns the derived key.

See also

  pbkdf1(), openssl_pbkdf(), `crypt_password()`